package wheels;

/**
 * Interface for objects that can have frame color and fill color set and 
 * queried, as well as overall color.
 *
 * @author Sanders and van Dam. Object-Oriented Programming in Java.
 */

public interface AdvancedColorable extends Colorable {

    /**
     * Sets the frame color.
     */
    public void setFrameColor (java.awt.Color c);

    /**
     * Returns the frame color.
     */
    public java.awt.Color getFrameColor ();

    /**
     * Sets the fill color.
     */
    public void setFillColor (java.awt.Color c);

    /**
     * Returns the fill color.
     */
    public java.awt.Color getFillColor ();

}
