package wheels;

/**
 * Interface for objects that can have their location set and queried.
 *
 * @author Sanders & van Dam. Object-Oriented Programming in Java.
 */

public interface Locatable {

    /**
     * Set object's location to given coordinates.
     */
    public void setLocation (int x, int y);

    /**
     * Set object's location to given point.
     */
    public void setLocation (java.awt.Point p);

    /**
     * Returns the object's location.
     */
    public java.awt.Point getLocation ();

    /**
     * Returns the object's x location.
     */
    public int getXLocation ();

    /**
     * Returns the object's y location.
     */
    public int getYLocation ();

}
