package wheels;

/**
 * Interface for objects that can have their size set and queried.
 *
 * @author Sanders & van Dam. Object-Oriented Programming in Java.
 */

public interface Sizeable {

    /**
     * Sets the object's size to the given dimensions.
     */
    public void setSize (int width, int height);

    /**
     * Sets the object's size to the given Dimension.
     */
    public void setSize (java.awt.Dimension d);

    /**
     * Returns the object's size as an AWT Dimension.
     */
    public java.awt.Dimension getSize ();

    /**
     * Returns the object's width.
     */
    public int getWidth ();

    /**
     * Returns the object's height.
     */
    public int getHeight ();

}
